import { getPropertyByString as o } from "@m4l/core";
import { defaultGetOptionLabel as i } from "../defaultGetOptionLabel/defaultGetOptionLabel.js";
function f(n) {
  const r = n?.trim();
  return r ? (e) => {
    const t = o(e, r);
    return t != null && t !== "" ? String(t) : i(e) ?? "";
  } : i;
}
export {
  f as buildGetOptionLabel
};
